#!/usr/bin/perl

# 99 Bottles of Beer
# 
# Verwalten der Konfiguration in Hashes
use strict;
use warnings;

my %config = (count => 3,
              drink => "beer",
             );

my $count = $config{"count"};
my $drink = $config{"drink"};

# Zeilen aus Datei laden
open(my $fh, "bottles3.dat") or die("Can't open bottles3.dat");
my @lines = <$fh>;
close $fh;

while($count) {
    my $tempcount = $count - 1;
    foreach my $origline (@lines) {
        my $line = $origline;
        $line =~ s/__COUNT__/$count/g;
        $line =~ s/__COUNTLESS__/$tempcount/g;
        $line =~ s/__DRINK__/$drink/g;
        print $line;
    }
    $count--;
}

print "ERROR 007: Out of bottles!\n";
