#!/usr/bin/perl

# 99 Bottles of Beer
# 
# Ausgabe ueber RegExp aus Array
use strict;
use warnings;

my $count = 3;
my $drink = "beer";

# Zeilen aus Datei laden
open(my $fh, "bottles2.dat") or die("Can't open bottles2.dat");
my @lines = <$fh>;
close $fh;

while($count) {
    my $tempcount = $count - 1;
    foreach my $origline (@lines) {
        my $line = $origline;
        $line =~ s/__COUNT__/$count/g;
        $line =~ s/__COUNTLESS__/$tempcount/g;
        $line =~ s/__DRINK__/$drink/g;
        print $line;
    }
    $count--;
}

print "ERROR 007: Out of bottles!\n";
